from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XFormController(Protocol):
    def addActivateListener(self, Listener: XFormControllerListener) -> None: ...
    def removeActivateListener(self, Listener: XFormControllerListener) -> None: ...
